CLEAR ALL
BITMAP 1 NEW 640,400
SPRITE 1 BIND BITMAP 1 SHOW XYSIZE 2,2
DO
    f$=FILE.OPEN$(CURDIR$,".fs","Fragment Shader files (*.fs)|*.fs|All files (*.*)|*.*")
    IF f$="" THEN END
    CLS
    HIGHLIGHT RGB(0,0,0)
    LOCATE 2,2
    PRINT " " FILE.NAME$(f$) " "
    HIGHLIGHT 0
    SHADER 1 LOAD f$
    SPRITE 1 SET SHADER 1
    GETKEY a$
LOOP UNTIL a$=CHR$(27)
